	LUA	PASS1

-- установка длины файлов для компиляции загрузчика (для TAP)
	function GetLenFile(name)
	  local fname
	  local size

	  fname = io.open(name,"r+b")
          size = fname:seek("end")
          fname:close()

	  return size
	end

	local len
	local labname={}
	local filname={}
	labname[1]="LenScreen"
	labname[2]="LenRam0"
	labname[3]="LenLibSfx"
	labname[4]="LenRam3"
	labname[5]="LenRam4"
	labname[6]="LenRam6"
	labname[7]="LenRam7"
	labname[8]="LenMain"
	labname[9]="LenDrvTabl"
	labname[10]="LenSlotVars"
	filname[1]="!bin/screen.C"
	filname[2]="!bin/ram0.C"
	filname[3]="!bin/libsfx.C"
	filname[4]="!bin/ram3.C"
	filname[5]="!bin/ram4.C"
	filname[6]="!bin/ram6.C"
	filname[7]="!bin/ram7.C"
	filname[8]="!bin/main.C"
	filname[9]="!bin/drvtabl.C"
	filname[10]="!bin/slotvar.C"

	for i=1,#labname,1 do
	  len = GetLenFile(filname[i])
	  sj.insert_label(labname[i], len) 
	end

	ENDLUA

